Loading...
Searching...
No Matches
LockableDObject Class Reference

Wrapper for DObject with thread-safe access. More...

`#include <LockableDObject.h>`

## Public Member Functions

| LockableDObject ()=default
| Default constructor.
DObject & | get ()
| Access the underlying DObject.
void | lock ()
| Locks the mutex to ensure thread-safe access.
void | unlock ()
| Unlocks the mutex after thread-safe access.

## Detailed Description

Wrapper for DObject with thread-safe access.

## Member Function Documentation

## get()

DObject & LockableDObject::get | ( |  | ) |

Access the underlying DObject.

Returns
  A reference to the wrapped DObject.

The documentation for this class was generated from the following files:

- src/dobj/public/LockableDObject.h
- src/dobj/private/LockableDObject.cpp